org.apache.hadoop.mapred.lib.aggregate

## Class StringValueMax

- java.lang.Object
- - org.apache.hadoop.mapreduce.lib.aggregate.StringValueMax
  - - org.apache.hadoop.mapred.lib.aggregate.StringValueMax

- All Implemented Interfaces:
    ValueAggregator<String>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class StringValueMax
      extends StringValueMax
      implements ValueAggregator<String>

  This class implements a value aggregator that maintain the biggest of a sequence of strings.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringValueMax()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.mapreduce.lib.aggregate.StringValueMax

      `addNextValue, getCombinerOutput, getReport, getVal, reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.hadoop.mapreduce.lib.aggregate.ValueAggregator

      `addNextValue, getCombinerOutput, getReport, reset`

- - ### Constructor Detail

    - #### StringValueMax

          public StringValueMax()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.